> For the complete documentation index, see [llms.txt](https://docs.onyxia.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc.md).

# Admin doc

- [Install](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme.md): Convinced by Onyxia? Let's see how you can get your own instance today!
- [Kubernetes](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme/kubernetes.md): Provision a Kubernetes cluster
- [GitOps](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme/gitops.md): Let's install ArgoCD to manage and monitor our Onyxia Datalab deployment!
- [User authentication](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme/user-authentication.md): Using Keycloak to enable user authentication
- [Data (S3)](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme/data-s3.md): Enable S3 storage via MinIO S3
- [Vault](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/readme/...rest.md): Let's use hashicorp Vault for storing the user secrets.
- [Theme and branding](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/theme.md): Customize your Onyxia instance with your assets and your colors, make it your own!
- [Catalog of services](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/catalog-of-services.md): Unserstand how Onyxia catalogs works and potentially create your own!
- [Setting up group projects](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/setting-up-group-projects.md): Enabling a group of user to share the same Kubernetes namespace to work on something together.
- [Security consideration](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/security-consideration.md): Information about security considerations
- [Migration guides](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides.md)
- [v7->v8](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides/v7-greater-than-v8.md)
- [v6 -> v7](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides/v6-greater-than-v7.md)
- [v5 -> v6](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides/v5-greater-than-v6.md)
- [v4 -> v5](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides/v4-greater-than-v5.md)
- [Migrating to the new helm repo](https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc/migration-guides/migrating-to-the-new-helm-repo.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onyxia.sh/docs.onyxia.sh/v8/admin-doc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
